package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮挡报废记录对象 record_invalidated
 * 
 * @author wangh
 * @date 2024-01-26
 */
public class RecordInvalidated extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** RFID */
    @Excel(name = "RFID")
    private String epc;

    private String reason;


    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setEpc(String epc) 
    {
        this.epc = epc;
    }

    public String getEpc() 
    {
        return epc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("epc", getEpc())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
